Package list libpoe-component-sslify-perl / e219f0be-eb3d-4055-ad76-4e47502e928b/main debian / control
e219f0be-eb3d-4055-ad76-4e47502e928b/main

Tree @e219f0be-eb3d-4055-ad76-4e47502e928b/main (Download .tar.gz)

control @e219f0be-eb3d-4055-ad76-4e47502e928b/mainraw · history · blame

Source: libpoe-component-sslify-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Niko Tyni <ntyni@debian.org>,
           Damyan Ivanov <dmn@debian.org>,
           gregor herrmann <gregoa@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libmodule-build-tiny-perl
Build-Depends-Indep: libnet-ssleay-perl,
                     libpoe-perl,
                     libtask-weaken-perl,
                     libtest-failwarnings-perl,
                     netbase,
                     perl,
                     perl (>= 5.19.6) | libtest-simple-perl (>= 1.001002)
Standards-Version: 3.9.6
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libpoe-component-sslify-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libpoe-component-sslify-perl.git
Homepage: https://metacpan.org/release/POE-Component-SSLify

Package: libpoe-component-sslify-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends},
         libnet-ssleay-perl,
         libpoe-perl,
         libtask-weaken-perl
Description: module for SSL connection handling in POE Components
 POE::Component::SSLify is a POE Component that represents the standard way to
 handle SSL connections for other POE Components. It allows for the creation of
 SSL-wrapped sockets, generally used with POE::Wheel::SocketFactory, which are
 correctly handled by the POE engine.